[smuxi: 12/37] CI: add some brew deps on macOS to make configure script happier
- From: Mirco M. M. Bauer <mmmbauer src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [smuxi: 12/37] CI: add some brew deps on macOS to make configure script happier
- Date: Sun, 3 Jan 2021 16:05:24 +0000 (UTC)
commit 8cb0a8bb99b748e9f1808429eec56c9a238c555e
Author: Andres G. Aragoneses <knocte gmail com>
Date: Mon Feb 17 20:42:54 2020 +0800
CI: add some brew deps on macOS to make configure script happier
.github/workflows/macOS.yml | 10 ++++++++--
build/install-deps-macos.sh | 10 ++++++++++
2 files changed, 18 insertions(+), 2 deletions(-)
---
diff --git a/.github/workflows/macOS.yml b/.github/workflows/macOS.yml
index 89be7539..026354f5 100644
--- a/.github/workflows/macOS.yml
+++ b/.github/workflows/macOS.yml
@@ -9,10 +9,16 @@ jobs:
runs-on: macOS-latest
steps:
- uses: actions/checkout@v1
- - run: ./autogen.sh && make release
+ - name: Build only
+ run: |
+ ./build/install-deps-macos.sh
+ ./autogen.sh && make release
macOS_tests_unit:
runs-on: macOS-latest
steps:
- uses: actions/checkout@v1
- - run: ./autogen.sh && make && make check
+ - name: Run unit test
+ run: |
+ ./build/install-deps-macos.sh
+ ./autogen.sh && make && make check
diff --git a/build/install-deps-macos.sh b/build/install-deps-macos.sh
new file mode 100755
index 00000000..e4783721
--- /dev/null
+++ b/build/install-deps-macos.sh
@@ -0,0 +1,10 @@
+#! /bin/sh
+set -euxo pipefail
+
+brew install automake
+brew install intltool
+brew install pkg-config
+brew install gettext
+
+#see https://unix.stackexchange.com/a/387362/56844
+brew link gettext --force
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]